# Class GetOffersRequest

#### Hierarchy

- unknown
  - GetOffersRequest

- Defined in src/protobuf/grpc_pb.d.ts:1422
- Defined in src/protobuf/grpc_pb.d.ts:1437

#####
Index

### Constructors

constructor

### Methods

getCurrencyCode
getDirection
serializeBinary
setCurrencyCode
setDirection
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetOffersRequest(): GetOffersRequest

- #### Returns GetOffersRequest

  Inherited from jspb.Message.constructor

## Methods

### getCurrencyCode

- getCurrencyCode(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1426

### getDirection

- getDirection(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1423

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1429

### setCurrencyCode

- setCurrencyCode(value: string): GetOffersRequest

- #### Parameters

  - ##### value: string

  #### Returns GetOffersRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1427

### setDirection

- setDirection(value: string): GetOffersRequest

- #### Parameters

  - ##### value: string

  #### Returns GetOffersRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1424

### toObject

- toObject(includeInstance?: boolean): GetOffersRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetOffersRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1430

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetOffersRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetOffersRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1433

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetOffersRequest, reader: BinaryReader): GetOffersRequest

- #### Parameters

  - ##### message: GetOffersRequest

  - ##### reader: BinaryReader

  #### Returns GetOffersRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1434

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetOffersRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetOffersRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1432

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetOffersRequest): GetOffersRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetOffersRequest

  #### Returns GetOffersRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1431

Generated using TypeDoc